Download it now!
Bug 124567 - Print dialog: margin and distance input are mixed up
Summary: Print dialog: margin and distance input are mixed up
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium minor
Assignee: rptr
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2019-04-05 13:12 UTC by rptr
Modified: 2019-04-08 07:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rptr 2019-04-05 13:12:24 UTC
Description:
(patch underway)

Steps to Reproduce:
Print dialog > pages per sheet > custom
Try it out with a multiple page document, set pages to 2 by 2 and play around with the distance and margin.

Also apparent with a screen reader (swapped description)

Actual Results:
Distance changes margin and margin changes distance.

Expected Results:
Not swapped


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Roman Kuznetsov 2019-04-05 13:59:08 UTC
https://gerrit.libreoffice.org/#/c/70303/
Comment 2 Heiko Tietze 2019-04-06 06:58:58 UTC
Not yet fixed, let's wait for go from CI.
Comment 3 Commit Notification 2019-04-08 07:41:48 UTC
Rasmus Jonsson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/93cc8d83cd1f814e8b1df03de2e3c25efa4a9d16%5E%21

tdf#124567 Print dialog: distance & margin mixed up

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.